package cn.reghao.tnb.auth.app.db.mapper.oauth;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.auth.app.model.po.oauth.ClientDetails;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author reghao
 * @date 2023-02-20 15:02:49
 */
@Mapper
public interface ClientDetailsMapper extends BaseMapper<ClientDetails> {
    void deleteByClientId(String clientId);

    List<ClientDetails> findByOwner(long owner);
    ClientDetails findByClientId(String clientId);
}
